Skip to main content
Resource Center/Network Resource/L2 Network Operations

CreateL2TfNetwork

CreateL2TfNetwork

POST/zstack/v1/l2-networks/tf

Operation ID

CreateL2TfNetwork

Since

4.8.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • ipPrefix
      String

      Optional. The IP address prefix.

    • ipPrefixLength
      Integer

      Optional. The IP address prefix length.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • zoneUuid
      StringRequired

      The zone UUID.

    • physicalInterface
      StringRequired

      The physical interface.

    • type
      String

      Optional. The L2 network type.

    • vSwitchType
      String

      Optional. The type of the vSwith.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The Uuid tags list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, seeerror.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    L2NetworkInventoryRequired

    Seeinventory

  • success
    booleanRequired

    Whether the operation succeeded.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    StringRequired

    The detailed description of the resource.

  • zoneUuid
    StringRequired

    The zone UUID.

  • physicalInterface
    StringRequired

    The physical interface.

  • type
    StringRequired

    The resource type.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • attachedClusterUuids
    ListRequired

    The attached cluster UUID.

  • Change Time

    AddedResponse fields attachedClusterUuids, createDate, lastOpDate...
    View API